﻿using MotorPlantDataModels.Models;
using MotorPlantContracts.Attributes;
using MotorPlantDataModels;
namespace MotorPlantContracts.ViewModels
{
    public class ImplementerViewModel : IImplementerModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "ФИО исполнителя", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ImplementerFIO { get; set; } = string.Empty;
		[Column(title: "Пароль", width: 150)]
		public string Password { get; set; } = string.Empty;
		[Column(title: "Опыт работы", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public int WorkExperience { get; set; }
		[Column(title: "Квалификация", gridViewAutoSize: GridViewAutoSize.AllCells, isUseAutoSize: true)]
		public int Qualification { get; set; }
	}
}
