﻿using MotorPlantContracts.Attributes;
using MotorPlantDataModels.Models;
using System.ComponentModel;

namespace MotorPlantContracts.ViewModels
{
    public class ClientViewModel : IClientModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "ФИО клиента", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ClientFIO { get; set; } = string.Empty;
		[Column(title: "Логин (эл. почта)", width: 150)]
		public string Email { get; set; } = string.Empty;
		[Column(title: "Пароль", width: 150)]
		public string Password { get; set; } = string.Empty;
	}
}
