﻿using MotorPlantDataModels.Models;
using MotorPlantContracts.Attributes;
namespace MotorPlantContracts.VeiwModels
{
    public class EngineViewModel : IEngineModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "Название двигателя", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string EngineName { get; set; } = string.Empty;

		[Column(title: "Цена", width: 70)]
		public double Price { get; set; }
		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> EngineComponents { get; set; } = new();

    }
}
