﻿using MotorPlantDataModels.Models;
using MotorPlantContracts.Attributes;

namespace MotorPlantContracts.ViewModels
{
	public class MessageInfoViewModel : IMessageInfoModel
	{
		[Column(visible: false)]
		public string MessageId { get; set; } = string.Empty;
		[Column(visible: false)]
		public int? ClientId { get; set; }
		[Column(title: "Отправитель", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string SenderName { get; set; } = string.Empty;
		[Column(title: "Дата письма", width: 100)]
		public DateTime DateDelivery { get; set; }
		[Column(title: "Заголовок", width: 170)]
		public string Subject { get; set; } = string.Empty;
		[Column(title: "Текст", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string Body { get; set; } = string.Empty;
		[Column(visible: false)]
		public int Id => throw new NotImplementedException();
	}
}
